function p=slinit(p,lx,ly,nx,ny,sw,ndim,oo) % init-routine 
p=stanparam(p); % set generic parameters to standard, if needed reset below..
p.nc.neq=2; p.fuha.G=@slf; p.fuha.Gjac=@sljac; p.fuha.outfu=@ocbra; % rhs 
p.fuha.sG=@slsG; p.fuha.sGjac=@slsGjac; p.fuha.jcf=@sljcf; % current-val-obj 
p.fuha.con=@slcon; % to get control k from u=(P,q)
if oo==0  % use pdetool
   if ndim==1; ny=1; ly=lx/nx; p.plot.pstyle=4; end % quasi 1D setup
   [p.mesh.geo,bc]=recnbc2(lx,ly); p=stanmesh(p,nx,ny);p=setbmesh(p);  % mesh 
   p.fuha.bc=@(p,u) bc; p.fuha.bcjac=@(p,u) bc;   % standard Neumann BC 
   p.eqn.c=[1;0;0;1;-1;0;0;-1]; p.eqn.a=0; p.eqn.b=0; % c,a,b tensors 
   p.sw.sfem=1; p.vol=4*lx*ly; 
else % use OOPDE
   h=2*lx/nx; 
   if ndim==1; pde=stanpdeo1D(lx,h); p.vol=2*lx; 
   else pde=stanpdeo2D(lx,ly,h); p.vol=4*lx*ly; end 
   p.np=pde.grid.nPoints; p.oopde=pde; p.sw.sfem=-1;  % oo-setting
end
p.sol.xi=1/p.np; p.nu=p.np*p.nc.neq; p=setfemops(p);
p.sw.spcalc=0; p.sw.jac=1; p.file.smod=100; % some more switches 
par=[0.03;0.55;0.5;0.5]; p.nc.ilam=2; p.sol.ds=0.1;   % startup param 
% r=par(1); bp=par(2); cp=par(3); D=par(4); 
p.nc.dsmin=1e-6; p.nc.dsmax=0.5; p.nc.lammax=0.8; p.nc.lammin=0.549; 
switch sw  % choose initial guess arcoording to switch 
case 1; u=0.3*ones(p.np,1); v=-13*ones(p.np,1); u0=[u v]; p.u=u0(:); % FSC
    p.usrlam=[0.55 0.6 0.65 0.7 0.75]; % target-values for lam 
case 2; u=2*ones(p.np,1); v=-4*ones(p.np,1); u0=[u v]; p.u=u0(:); % FSM
    p.usrlam=[0.55 0.6 0.65 0.7 0.75]; % target-values for lam 
end
p.u=[p.u; par]; [p.u,res]=nloop(p,p.u); fprintf('first res=%g\n',res); 
plotsol(p,1,1,p.plot.pstyle); 
