% script for time-int. of states with chosen external control 
global eg e0 e1 tend; % globals for control 
%% compare to CS-path at R=10 
sd0='FSS';sp0='pt44'; sd1='p1';sp1='pt65'; flip=0; % R=10
fn=setfnflip(sd0,sp0,sd1,sp1,flip);
p=loadp(fn.sd0,fn.sp0); p0=p; s1=loadp(fn.sd1,fn.sp1); 
%% extract controls of CSS, and modify 
[e0,h0,j0]=efu(p,p.u); [e1,h1,j1]=efu(s1,s1.u); plotu1D(p,1,e0); plotu1D(p,2,e1); 
p.fuha.sG=@vegsG1; p.nc.neq=2; nx=p.np; ksw=3; 
switch ksw
case 1;  e1=e1*0.75; tend=0; 
case 2;  e1=e1*0.75; tend=25; 
case 3;  % a version that mimics E
     [po,tr]=getpte(p); x=po(1,1:nx)'; x1=max(x); tend=25; 
     e0=2*(2+1.5*cos(1.5*pi*(-x1+x)/x1)); plotu1D(p,1,e0); e1=e1; 
case 4;  % periodic in t 
     [po,tr]=getpte(p); x=po(1,1:nx)'; x1=max(x); tend=25; 
     e0=1*(2+1.5*cos(1.5*pi*(-x1+x)/x1)); 
     plotu1D(p,1,e0);  plotu1D(p,2,e1);
end
eg=e0; r=resi(p,p.u); fprintf('inires=%g\n',norm(r,'inf')); 
%% integrate 
p=p0; t0=0; t1=t0; ts=[]; nc=0; nbs=50; sola=[]; 
bdt=2; sdt=0.01; nffu=@nG1; eg=e0; 
[p,t1,ts,sola]=tintstates(p,t1,ts,bdt,sdt,nbs,nffu,sola,ksw);
%% plot results
load('vegcm'); load('watcm'); v=[15, 40];
siplot(p,ts,sola,v,1); colormap(veg); zlabel('v'); pause 
siplot(p,ts,sola,v,2); colormap(wat); zlabel('w'); pause 
siplot(p,ts,sola,v,3); colormap(hot); zlabel('E');
%% calc value 
tl=50; tv=ts(1,1:tl); 
[jcav,jval]=sijca(p,sola,tv,tl);j0=jca(p0,p0.u)/rho;
fprintf('J=%g, imag(J)=%g, j0=%g\n', jval,imag(jval),j0);
%% for multiple plots 
jcav1=jcav; jval1=jval; 
%% extract J_{c,a} of CP 
zdia=vegdiagn(sol,15,1,fn);
%% compare the different J_{ca} 
figure(7);clf;plot(sol.x,zdia(3,:),'-b',tv(1:tl),real(jcav1(1:tl)),'g--', ...
 tv(1:tl),real(jcav2(1:tl)),'m-.', tv(1:tl),real(jcav3(1:tl)),'r--',tv(1:tl),real(jcav4(1:tl)),'k--'); 
hold on; plot([sol.x(end) tv(end)], [zdia(3,end) zdia(3,end)], '-b'); 
set(gca,'FontSize',s1.plot.fs); 
axis([0 200 1.5 6]);
leg=legend('J_{c,a}^{OC}','J_{c,a}^1','J_{c,a}^2','J_{c,a}^3','J_{c,a}^4','Location','NorthEastOutside');
set(leg, 'Box', 'off')

