%%
% BRADAT: set default non-user defined branch data that is used in some p2p functions.
%
%  bra=bradat(p)
%
% bra=[p.file.count; p.sol.ptype; p.sol.ineg; getlam(p); 
%      p.sol.err; L2-norm 1st component]
% See explanations of constants in overview.html
%
% See also getlam, cont
function bra=bradat(p)
upde=p.mat.fill*p.u(1:p.nu); [po,tr,e]=getpte(p); 
bra=[p.file.count; p.sol.ptype; p.sol.ineg; getlam(p); p.sol.err; 
    sqrt(triint(upde(1:p.np).^2,po,tr))];
end
