%%
% IBLSS: IterativeBorderedLinearSystemSolver, template for customization by user 
%  try to reuse preconditioners as much as possible
%
%  x=iblss(A,b,p)
%
% See also ilss, blss
% iterative solvers currently under revision!
function x=iblss(A,b,p)
global bL bU bgmcount; % issue from command line 
%fprintf('\n iblss: iterative solvers currently under revision;'); 
%fprintf('\n        if needed, rather set up your own.\n '); 
method=2; % switch to quickly check different methods ...
if method==1
 flag=1; 
 while(flag~=0)
  if(size(bL,1)~=size(A,1)) 
      tic; setup.type='crout'; setup.droptol=0;
      [bL,bU]=ilu(A,setup);s1=toc; bgmcount=0;
      if p.sw.verb>1;fprintf('new LU in %g\n',s1); end 
  end 
  tic;[x,flag,rr]=gmres(A,b,5,1e-6,10,bL,bU);s1=toc; bgmcount=bgmcount+1; 
  if flag==0; 
     if p.sw.verb>1;fprintf('iblss: gmres flag=%i, resi=%g, bgmcount=%i, bgmres-time=%g\n',flag, rr, bgmcount,s1);end
  else if p.sw.verb>1; fprintf('iblss gmres flag=%i, bgm-resi=%g, ', flag, rr); end
     tic; setup.type='crout'; setup.droptol=0;
     [bL,bU]=ilu(A,setup);s1=toc; bgmcount=0;
     if p.sw.verb>1; fprintf('new LU in %g\n',s1); end
  end
 end
end 
if method==2 % try precon with D^{-1}
 d=diag(A);n=length(d);  d(n,n)=1; dsm=spdiags(d,0,n,n);tic;
 [x,flag,rr,iter]=lsqr(A,b,1e-6,50,dsm);s1=toc; 
 fprintf('iblss lsqr: flag=%i, res=%g, iter=%i, time=%g\n',flag, rr, iter, s1);
 return
end
