%%
% LOADP: load point from dir/fname.mat 
%
%  p=loadp(dir)               - load file with largest label
%  p=loadp(dir,fname)
%  p=loadp(dir,fname,newname) - load and set problem name to newname
%
% See also setfn, setfemops, getCylOp, getTorOp.
function p=loadp(dir,varargin)
if isempty(varargin)
    bfname=char(['pt' mat2str(max(getlabs(dir)))]); 
else 
    bfname=varargin{1}; varargin=varargin(2:end);
end
ffname=[dir '/' bfname '.mat']; 
s=load(ffname,'p'); p=s.p; 
if isempty(p.mesh); load(p.file.mname); p.mesh=m; end 
if ~isempty(varargin); p=setfn(p,varargin{1}); end;
% set operators that were not saved in p
if(p.sw.bcper==3) 
    [p.mat.fill, p.mat.drop, p.nu]=getTorOp(p);
elseif(p.sw.bcper==1 || p.sw.bcper==2)
    [p.mat.fill, p.mat.drop, p.nu]=getCylOp(p);
end
if(p.sw.sfem~=0 || p.sw.spcalc~=0) p=setfemops(p); end
p.file.count=p.file.count+1;
if(p.sol.ptype==1) p.file.bcount=p.file.bcount+1; end 
if(p.sol.ptype==2) p.file.fcount=p.file.fcount+1; end 
if(p.file.single==1) p.u=double(p.u);p.tau=double(p.tau); end 


