%%
% MOVEDATADIRS: move data directories from subdirs of appdir to backdir (for cleanup!)
%
%   movedatadirs(appdir,backdir)
%
% typical call (e.g.): 
%
%    movedatadirs('/home/hu/path/pde2path/demos', '/home/hu/path/data');
%
% restore data by simply calling   movedatadirs(backdir,appdir) 
function movedatadirs(appdir,backdir)
startdir=pwd; 
cd(appdir); ok=0; allok=0; 
md=dir; mdl=length(md); 
for i=1:mdl % first inform user about what's going to happen 
   cf=md(i); 
   if (cf.isdir==1 && ~strcmp(cf.name,'.') && ~strcmp(cf.name,'..'))
      cd([appdir,'/',cf.name]); 
      subdirs=dir; sdl=length(subdirs); 
      for j=1:sdl
        csubdir=subdirs(j);
        if (csubdir.isdir==1 && ...
               ~strcmp(csubdir.name,'.') && ~strcmp(csubdir.name,'..'))
           cbackdir=[backdir,'/',cf.name]; 
           fprintf('%s: intending to move ', cf.name); 
           fprintf('%s to %s \n',csubdir.name,cbackdir);
        end
      end
   end
end
allok=asknu('OK to all?', allok); 
cd(appdir)
for i=1:mdl
   cf=md(i); 
   if (cf.isdir==1 && ~strcmp(cf.name,'.') && ~strcmp(cf.name,'..'))
      cd([appdir,'/',cf.name]); 
      subdirs=dir; sdl=length(subdirs); 
      for j=1:sdl
        csubdir=subdirs(j);
        if (csubdir.isdir==1 && ...
               ~strcmp(csubdir.name,'.') && ~strcmp(csubdir.name,'..'))
           cbackdir=[backdir,'/',cf.name]; 
           if ~allok
             fprintf('%s: intending to move ', cf.name); 
             fprintf('%s to %s   ',csubdir.name,cbackdir);
             ok=asknu('OK?',ok); 
             if ok
               if ~exist(cbackdir,'dir'); mkdir(cbackdir); end              
               movefile(csubdir.name, cbackdir);
             end
           end
           if allok
               if ~exist(cbackdir,'dir'); mkdir(cbackdir); end              
               movefile(csubdir.name, cbackdir);
           end
        end
      end
   end
end
cd(startdir); % return to calling directory 
end 
