%%
% PLOTSOL: plot component of p.u in struct p.
%
%  plotsol(p,wnr,cnr,pstyle)
%
% cnr=component number, wnr=window number, pstyle=plot style
% (sometimes needs reset if pstyle~=2 due to problems with axis:
%
%  if pstyle~=2 clf('reset'); else clf; end )
%
% See also plotsolf
function plotsol(p,wnr,cnr,pstyle)
if p.sw.sfem<0; [po,tr,ed]=getpte(p);  
else if isempty(p.mesh); load(['mesh/m',num2str(p.file.mcount)]); end 
   po=p.mesh.p; tr=p.mesh.t; ed=p.mesh.e; 
end
figure(wnr); clf; n0=(cnr-1)*p.np+1; n1=cnr*p.np; clf(wnr); u=p.u(n0:n1); 
if size(po,1)==1; plot(po,u); axis tight; return; end;  % genuine 1D 
if pstyle==4;      % quasi 1D 
   plot(po(1,1:p.np/2),u(1:p.np/2)); axis tight; 
   if p.plot.labelsw; xlabel('x'); zax=mat2str(cnr); 
       ylabel(char(['comp.nr. ' zax])); end; 
   return 
end 
upde=p.mat.fill*p.u(1:p.nu); n0=(cnr-1)*p.np+1; n1=cnr*p.np; % 2D plots
if pstyle==0; pdemesh(po,ed,tr); end 
if pstyle==1; pdemesh(po,ed,tr,upde(n0:n1)); end 
if pstyle==2; pdeplot(po,ed,tr,'xydata',upde(n0:n1)); end 
if pstyle==3; h=pdesurf(po,tr,upde(n0:n1));view(10,40);
   light('Position',p.plot.lpos,'Style','local','Color',[1 1 0]); lighting phong; 
   set(h,'FaceLighting','flat','FaceColor','interp','AmbientStrength',0.8); 
end
axis tight; box on; zax=mat2str(cnr); zlabel(char(['comp.nr. ' zax]),'fontsize',p.plot.fs);
try colormap(p.plot.cm); catch, colormap gray; end; 
if p.plot.labelsw; xlabel('x','FontSize',p.plot.fs); ylabel('y','FontSize',p.plot.fs); end;
set(gca,'FontSize',p.plot.fs); 
