%%
% REC2CYL: change settings and solution from Neumann bc to cylinder bc according. 
%  Domain boundaries that are to be identified need to be axis aligned.
%
%  p=rec2cyl(p)
%
% * p.sw.bcper=1 : top=bottom boundary
% * p.sw.bcper=2 : left=right boundary
%
% See also getCylOp, rec2tor, setfemops.
function p=rec2cyl(p)
aux=p.u(p.nu+1:end);
[p.mat.fill, p.mat.drop, p.nu]=getCylOp(p);
p.u=[p.mat.drop*p.u(1:p.np*p.nc.neq); aux];         % drop redundant entries
% p=resetc(p); p.sol.restart=1;
if(p.sw.sfem~=0 || p.sw.spcalc~=0) p=setfemops(p); end
end
