%%
% REC2PERF: load point and call rec2per to change settings and solution from 
%   Neumann bc to cylinder or torus bc. Domain boundaries that are 
%   to be identified need to be axis aligned.
%
%  p=rec2perf(dir,fname,dirnew,bcper)
%
% Loads p-structure file dir/fname and sets new directory name dirnew.
%
% * bcper=1 : top=bottom boundary
% * bcper=2 : left=right boundary
% * bcper=3 : torus
%
% See also rec2per, loadp.
function p=rec2perf(dir,fname,dirnew,bcper)
p=loadp(dir,fname,dirnew);   % load last point from Neumann bc run in par(3)
p=rec2per(p,bcper);          % change to cylinder geometry 
end
