%% stat. BD for sloc 
path('../p2plib',path); path('../p2poclib',path);
%% Scenario 1, FSC/FSI branch 
close all; p=[];lx=2*pi/0.44; ly=0.1; nx=50; ny=1; sw=1; 
p=slinit(p,lx,ly,nx,ny,sw); p=setfn(p,'f1'); screenlayout(p); 
%% find bif.points from FSC/FSI branch 
p.nc.nsteps=100; p=cont(p);
%% FSM branch 
sw=2; p=slinit(p,lx,ly,nx,ny,sw); p=setfn(p,'f2'); 
p.nc.dsmax=0.2; p.sol.ds=0.1; p=cont(p,25); 
%% bif from f1 (set bpt* and p* and repeat as necessary) 
p=swibra('f1','bpt1','p1',-0.05); p.nc.dsmax=0.3; p=cont(p,150); 
%%
p=swibra('f1','bpt2','p2',-0.05); p.nc.dsmax=0.3; p=cont(p,150); 
p=swibra('f1','bpt3','p3',0.05); p.nc.dsmax=0.3; p=cont(p,150); 
%% plotting of BD, L2
figure(3); clf; pcmp=3; ms=5; 
plotbraf('f1','bpt1',3,pcmp,'ms',ms,'lab',12,'cl','k'); % FSC 
plotbraf('f1','pt74',3,pcmp,'ms',ms,'fp',15,'cl','k','lt','.', 'lab',36); % FSI 
plotbraf('f2','pt25',3,pcmp,'ms',ms,'lab',[11 20],'cl','b','lp',23); % FSM 
plotbraf('p1','pt133',3,pcmp,'ms',ms,'cl','r','lab',[16 70]); 
plotbraf('p2','pt126',3,pcmp,'ms',ms,'cl','m','lab',18); 
plotbraf('p3','pt111',3,pcmp,'ms',ms,'cl','g','lab',19);
xlabel('b'); ylabel('||P||_{2,a}');
text(0.61,1.6,'FSM','color','b','fontsize',16);text(0.56,1.59,'p1','color','r','fontsize',16);
text(0.56,1.45,'p2','color','m','fontsize',16);text(0.56,1.28,'p3','color','g','fontsize',16);
text(0.56,1,'FSI','color','k','fontsize',16);text(0.56,0.5,'FSC','color','k','fontsize',16);
%% JC
figure(3); clf; pcmp=4; ms=0; 
plotbraf('f1','bpt1',3,pcmp,'ms',ms,'cl','k', 'lab',12); % FSC 
plotbraf('f1','pt74',3,pcmp,'ms',ms,'fp',22,'cl','k','lt','.'); % FSI 
plotbraf('f2','pt25',3,pcmp,'ms',ms,'cl','b','lab',20); % FSM 
plotbraf('p1','pt133',3,pcmp,'ms',ms,'cl','r','lab',16);
xlabel('b'); ylabel('J_{ca}'); axis([0.6 0.75 -2.7 -1.8])
%% solution plotting (adapt as necessary) 
plot1Df('p1','pt16',1,1,1,2); pause; plot1Df('p1','pt70',1,1,1,2); pause
plot1Df('p2','pt18',1,1,1,2); pause; plot1Df('p3','pt19',1,1,1,2); pause
%% ******************* Scenario 2 ************************
close all; p=[];lx=2*pi/0.44; ly=0.1; nx=50; ny=1; sw=3; 
p=slinit(p,lx,ly,nx,ny,sw); p=setfn(p,'F2'); screenlayout(p); 
%% find bif.points from FSC/FSI branch 
p.nc.nsteps=100; p=cont(p); 
%% bif from F2 (set bpt* and h* and repeat as necessary) 
p=swibra('F2','bpt1','q1',-0.05); p.nc.dsmax=0.3; 
p.usrlam=[3 3.25]; p.sw.spcalc=0; p.sw.bifcheck=0; p=cont(p,30); 
%% L2  
figure(3); clf; pcmp=3; ms=5; 
plotbraf('F2','pt61',3,pcmp,'ms',ms,'lab',[14 34 57],'cl','k'); 
plotbraf('q1','pt82',3,pcmp,'ms',ms,'cl','r','lab',[15 68]); 
plotbraf('q2','pt52',3,pcmp,'ms',ms,'cl','m','lab',13); 
plotbraf('q3','pt32',3,pcmp,'ms',ms,'cl','g','lab',16);
xlabel('\gamma'); ylabel('||P||_{2}');
text(2.7,1.1,'FSM','color','k','fontsize',16); text(2.9,1,'q1','color','r','fontsize',16);
text(3.1,0.85,'q2','color','m','fontsize',16); text(2.8,0.8,'q3','color','g','fontsize',16);
text(3.1,0.7,'FSI','color','k','fontsize',16); text(3.6,0.45,'FSC','color','k','fontsize',16);
%% J_ca
figure(3); clf; pcmp=4; ms=5; 
plotbraf('F2','pt61',3,pcmp,'ms',ms,'lab',[14 34 57],'cl','k'); % FSC 
plotbraf('q1','pt82',3,pcmp,'ms',ms,'cl','r','lab',[15 68]); % +pt 71
plotbraf('q2','pt52',3,pcmp,'ms',ms,'cl','m','lab',[13]); % 36 44
plotbraf('q3','pt32',3,pcmp,'ms',ms,'cl','g', 'lab',16);
xlabel('c');  ylabel('J_{ca}'); 
text(2.7,-6.5,'FSM','color','k','fontsize',16); text(3.1,-4.2,'q1','color','r','fontsize',16);
text(3.25,-6,'q2','color','m','fontsize',16); text(2.9,-4.6,'q3','color','g','fontsize',16);
text(3.2,-5,'FSI','color','k','fontsize',16);text(3.6,-3.4,'FSC','color','k','fontsize',16);
%%
plot1Df('q1','pt15',1,10,1,2); pause; plot1Df('q1','pt68',2,10,1,2); pause
plot1Df('q2','pt13',1,10,1,2); pause; plot1Df('q3','pt16',1,10,1,2); 
%% print CSS characteristics (for tables)
stancssvalf('p1','pt16');





