function p=veginit(p,lx,ly,nx,ny,sw,rho) % init-routine for vegOC 
p=stanparam(p); p.nc.neq=4; p.fuha.sG=@vegsG; p.fuha.jcf=@vegjcf; p.fuha.outfu=@ocbra; 
p.mesh.geo=rec(lx,ly); p=stanmesh(p,nx,ny);p=setbmesh(p); p.sol.xi=0.005/p.np; 
q=zeros(p.nc.neq); g=zeros(p.nc.neq,1);
bc=gnbc(p.nc.neq,4,q,g); p.fuha.bc=@(p,u) bc; p.fuha.bcjac=@(p,u) bc;
p.xplot=lx; p.sw.spcalc=0; p.sw.jac=1; p.file.smod=100; p.vol=4*lx*ly; 
p.nc.dsmin=1e-6; p.nc.lammin=1e-10; p.nc.nsteps=150; 
p.d1=0.05; p.d2=10; p.eqn.a=0; p.eqn.b=0; 
switch sw
    case 1; % rho=0.03  
    p.usrlam=[4 10 20 26 28]; 
    par=[rho 1e-3 0.5 0.03 0.005 0.9 1e-3 34 0.01 0.1 1 1.1 0.3];  
    foss=[400 12 0.5 0.9]; p.sol.ds=-0.5; u=foss'*ones(p.np,1)'; 
    u0=[u(1,:) u(2,:) u(3,:) u(4,:)]; p.u=u0(:);   p.nc.dsmax=1; 
    p.nc.lammax=34;
    case 2; % rho=0.03, larger R (for comp. with uncontrolled case) 
    p.usrlam=[10 20 30 40 50 60 70 80 90 100 110 120 130]; 
    par=[rho 1e-3 0.5 0.03 0.005 0.9 1e-3 130 0.01 0.1 1 1.1 0.3];  
    foss=[1500 50 0.5 0.9]; p.sol.ds=-0.5; u=foss'*ones(p.np,1)'; 
    u0=[u(1,:) u(2,:) u(3,:) u(4,:)]; p.u=u0(:); p.nc.dsmax=10; 
    p.nc.lammax=130;
end
c=diag([p.d1, p.d2, -p.d1, -p.d2]); p.eqn.c=isoc(c,4,1); p.nc.ilam=8; 
p.u=[p.u; par']; p.sw.sfem=1; p=setfemops(p); p.sw.jac=0; p.nc.imax=60;
r=resi(p,p.u); fprintf('inires=%g\n',norm(r,'inf')); 
[p.u,res]=nloop(p,p.u); fprintf('first res=%g\n',res); plotsol(p,1,1,1); 
p.nc.imax=10;
